FreeBSD : powerdns -- Multiple vulnerabilities (0aee2f13-ec1d-11e8-8c92-6805ca2fa271)

High Nessus Plugin ID 119056

Synopsis

The remote FreeBSD host is missing a security-related update.

Description

PowerDNS Team reports :

CVE-2018-10851: An issue has been found in PowerDNS Authoritative Server allowing an authorized user to cause a memory leak by inserting a specially crafted record in a zone under their control, then sending a DNS query for that record. The issue is due to the fact that some memory is allocated before the parsing and is not always properly released if the record is malformed. When the PowerDNS Authoritative Server is run inside the guardian (--guardian), or inside a supervisor like supervisord or systemd, an out-of-memory crash will lead to an automatic restart, limiting the impact to a somewhat degraded service.

CVE-2018-14626: An issue has been found in PowerDNS Authoritative Server allowing a remote user to craft a DNS query that will cause an answer without DNSSEC records to be inserted into the packet cache and be returned to clients asking for DNSSEC records, thus hiding the presence of DNSSEC signatures for a specific qname and qtype. For a DNSSEC-signed domain, this means that DNSSEC validating clients will consider the answer to be bogus until it expires from the packet cache, leading to a denial of service.

Solution

Update the affected package.

See Also

https://doc.powerdns.com/authoritative/changelog/4.1.html

http://www.nessus.org/u?848f599a

Plugin Details

Severity: High

ID: 119056

File Name: freebsd_pkg_0aee2f13ec1d11e88c926805ca2fa271.nasl

Version: 1.1

Type: local

Published: 2018/11/21

Modified: 2018/11/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:powerdns, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2018/11/19

Vulnerability Publication Date: 2018/11/06

Reference Information

CVE: CVE-2018-10851, CVE-2018-14626